<script lang="ts">
    import {page} from '$app/stores';
</script>

<nav class="navbar">
    <ul class="nav-links">
        <div class="menu">
            <li><a rel="prefetch" class="link" class:active={$page.path === '/todos'} href="/todos">Home</a></li>
            <li><a rel="prefetch" class="link" class:active={$page.path === '/todos/add'} href="/todos/add">Add Todo</a>
            </li>
        </div>
    </ul>
</nav>

<style>
    li {
        list-style: none;
    }

    .navbar {
        align-items: center;
        padding: 10px;
        margin-right: 10%;
        margin-left: 10%;
    }

    .nav-links a {
        font-size: 1.1rem;
        color: #222;
        text-decoration: none;
    }

    .menu {
        display: flex;
        float: right;
        gap: 1em;
        font-size: 18px;
    }

    .menu li {
        padding: 5px 14px;
    }

    .menu li:hover {
        background-color: #EEE;
        border-radius: 5px;
        transition: 0.3s ease;
    }

    .active {
        color: #55be32 !important;
    }

    input[type=checkbox] {
        display: none;
    }
</style>
